classification
Title: Refleak run of test_tcl fails
Type: crash Stage:
Components: Tests Versions: Python 3.0
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, christian.heimes, gpolo, gvanrossum
Priority: low Keywords: patch

Created on 2007-11-30 23:17 by christian.heimes, last changed 2010-09-18 15:22 by BreamoreBoy. This issue is now closed.

Files
File name Uploaded Description Edit
disable_testLoadTkFailure_in_regrtest.diff gpolo, 2008-11-24 12:34
Messages (3)
msg58028 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-11-30 23:17
$ ./python Lib/test/regrtest.py -R:: test_tcl
test_tcl
beginning 9 repetitions
123456789
test test_tcl failed -- Traceback (most recent call last):
  File "Lib/test/test_tcl.py", line 125, in testLoadTk
    tcl.loadtk()
  File "Lib/lib-tk/Tkinter.py", line 1641, in loadtk
    self.tk.loadtk()
_tkinter.TclError: Calling Tk_Init again after a previous call failed
might deadlock

1 test failed:
    test_tcl
msg76322 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2008-11-24 12:34
Disable it while running regrtest with -R ?
msg116796 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-09-18 15:22
I don't believe that this can still be an issue.
History
Date User Action Args
2010-09-18 15:22:18BreamoreBoysetstatus: open -> closed
nosy: + BreamoreBoy
messages: + msg116796

2008-11-24 12:34:36gpolosetfiles: + disable_testLoadTkFailure_in_regrtest.diff
nosy: + gpolo
messages: + msg76322
keywords: + patch
2008-01-06 22:29:44adminsetkeywords: - py3k
versions: Python 3.0
2007-11-30 23:17:23christian.heimescreate